WordPress.org

Forums

Revive Old Post (Former Tweet Old Post)
[resolved] OAuth issues with Ver 5.1 (5 posts)

  1. matt.vaden
    Member
    Posted 1 year ago #

    Hello.
    I have been using your plugin for over a year now on several different sites, and it has always worked very well. Thanks for such a great plugin!

    However, this evening, as I started updating to the new version 5.1, I started getting some Fatal Errors involving OAuth, but I haven't changed anything on some of these sites in months (in terms of changing themes, or adding/removing plugins), so nothing other than post content has changed in over a year on at least two of the sites where I'm now experiencing these issues.

    The one thing that is common amongst all of my sites is the fact that they are all running on the Genesis framework and they have some various other plugins installed that are the same on each of the sites, but like I mentioned before, your plugin has always worked for me for quite some time until today.

    I am aware that Twitter has changed their API and due to this you were required to update your code to clear up some connectivity issues, but could this also be causing some new (different) issues with various themes / plugins?

    This is the exact error I'm receiving:
    Fatal error: Cannot redeclare class OAuthSignatureMethod_HMAC_SHA1 in /home/.../public_html/.../wp-content/plugins/tweet-old-post/inc/oAuth/OAuth.php on line 120

    P.S. I know of one other possible source of this problem...
    I use a plugin for displaying tweets in my sidebar. It's a premium plugin from here: http://codecanyon.net/item/advanced-widget-pack/2371100
    , but I've been using these two plugins together and they've always worked well together until now.

    Your help in resolving this issue would be greatly appreciated.
    Regards,
    Matt Vaden

    https://wordpress.org/plugins/tweet-old-post/

  2. codeinwp
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Matt,

    It looks like there is a naming conflict issue with other plugin which include OAuth, I will try to replicate and fix this today.

    Thanks,
    Ionut

  3. codeinwp
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Matt,

    The issue was fixed now, if the functions already exist we will use them. As a drawback I saw some small issues since the existing oauth libraries can be outdated, but the core functionality is working :)

  4. matt.vaden
    Member
    Posted 1 year ago #

    Hello. Thank you very much for the quick response to this issue and also thanks for providing a fix to this problem so quickly.

    I have updated all my sites to run the new version of tweet-old-post (Ver 6.1) and it seems to be working correctly now!

    Thank you again for all your hard work on this issue. I really appreciate your quick response to this problem. You have provided me with the excellent support on a free product that is normally reserved only for a "premium" product! Thank you!

    Regards,
    Matt Vaden

  5. codeinwp
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Matt,

    We are glad that you are satisfied.

    Thank you for choosing our product.

    Have a nice day!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic